> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリケーションのパラメータ情報を取得

> **対象アプリ**：Chatflow、Workflow、新しい Agent、チャットボット、Agent、テキストジェネレーター。

アプリケーションの入力フォーム設定（機能スイッチ、入力パラメータ名、タイプ、デフォルト値）を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /parameters
openapi: 3.0.1
info:
  title: Dify サービス API
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットメッセージ
    description: チャットメッセージとインタラクションに関連する操作です。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
  - name: ワークフロー実行
    description: ワークフローの実行と管理のための操作です。
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ナレッジベース
    description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
  - name: ドキュメント
    description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
  - name: チャンク
    description: ドキュメントチャンクと子チャンクの管理のための操作です。
  - name: メタデータ
    description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
  - name: タグ管理
    description: ナレッジベースタグとタグバインディングの管理のための操作です。
  - name: モデル
    description: 利用可能なモデルを取得するための操作です。
  - name: ナレッジパイプライン
    description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
paths:
  /parameters:
    get:
      tags:
        - アプリケーション設定
      summary: アプリケーションのパラメータ情報を取得
      description: |-
        **対象アプリ**：Chatflow、Workflow、新しい Agent、チャットボット、Agent、テキストジェネレーター。

        アプリケーションの入力フォーム設定（機能スイッチ、入力パラメータ名、タイプ、デフォルト値）を取得します。
      operationId: getBasicChatAppParametersJa
      responses:
        '200':
          description: アプリケーションパラメータ情報。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppParametersResponse'
              examples:
                appParameters:
                  summary: レスポンス例
                  value:
                    opening_statement: Hello! How can I help you today?
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    speech_to_text:
                      enabled: false
                    text_to_speech:
                      enabled: false
                      voice: alloy
                      language: en-US
                      autoPlay: disabled
                    retriever_resource:
                      enabled: true
                    annotation_reply:
                      enabled: false
                    more_like_this:
                      enabled: false
                    sensitive_word_avoidance:
                      enabled: false
                    user_input_form:
                      - text-input:
                          label: City
                          variable: city
                          required: true
                          default: ''
                    file_upload:
                      image:
                        enabled: true
                        number_limits: 3
                        detail: high
                        transfer_methods:
                          - remote_url
                          - local_file
                    system_parameters:
                      file_size_limit: 15
                      image_file_size_limit: 10
                      audio_file_size_limit: 50
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
        '400':
          description: |-
            - `app_unavailable` : アプリケーションが利用できないか、設定が正しくありません。
            - `agent_not_published` : バインドされた Agent が公開されていません。（新しい Agent アプリ）
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                agent_not_published:
                  summary: agent_not_published
                  value:
                    code: agent_not_published
                    message: >-
                      Agent has not been published. Please publish the Agent
                      before using the API.
                    status: 400
components:
  schemas:
    AppParametersResponse:
      type: object
      properties:
        opening_statement:
          type: string
          nullable: true
          description: オープニングステートメントのテキストです。
        suggested_questions:
          type: array
          items:
            type: string
          description: 提案された質問のリストです。
        suggested_questions_after_answer:
          type: object
          description: 回答後の提案質問の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        speech_to_text:
          type: object
          description: 音声テキスト変換機能の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        text_to_speech:
          type: object
          description: テキスト音声変換機能の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
            voice:
              type: string
              description: TTS 音声識別子。
            language:
              type: string
              description: TTS 言語。
            autoPlay:
              type: string
              description: 自動再生設定です。音声を自動再生するには `enabled`、手動再生を要求するには `disabled` を指定します。
        retriever_resource:
          type: object
          description: ナレッジ検索の引用リソース設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        annotation_reply:
          type: object
          description: アノテーション返信機能の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        more_like_this:
          type: object
          description: 類似コンテンツ機能の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        sensitive_word_avoidance:
          type: object
          description: コンテンツモデレーション機能の設定です。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        user_input_form:
          type: array
          items:
            type: object
            oneOf:
              - title: Text Input
                type: object
                properties:
                  text-input:
                    type: object
                    properties:
                      label:
                        type: string
                        description: 入力フィールドの表示ラベルです。
                      variable:
                        type: string
                        description: ワークフローで使用される変数名です。
                      required:
                        type: boolean
                        description: このフィールドが必須かどうかです。
                      default:
                        type: string
                        description: 入力フィールドのデフォルト値です。
              - title: Paragraph
                type: object
                properties:
                  paragraph:
                    type: object
                    properties:
                      label:
                        type: string
                        description: 段落フィールドの表示ラベルです。
                      variable:
                        type: string
                        description: ワークフローで使用される変数名です。
                      required:
                        type: boolean
                        description: このフィールドが必須かどうかです。
                      default:
                        type: string
                        description: 段落フィールドのデフォルト値です。
              - title: Select
                type: object
                properties:
                  select:
                    type: object
                    properties:
                      label:
                        type: string
                        description: セレクトフィールドの表示ラベルです。
                      variable:
                        type: string
                        description: ワークフローで使用される変数名です。
                      required:
                        type: boolean
                        description: このフィールドが必須かどうかです。
                      default:
                        type: string
                        description: デフォルトで選択される値。
                      options:
                        type: array
                        items:
                          type: string
                        description: このフォームコントロールの選択可能な値のリスト。
          description: ユーザー入力フォームの設定です。
        file_upload:
          type: object
          description: ファイルアップロードの設定。
          properties:
            image:
              type: object
              properties:
                enabled:
                  type: boolean
                  description: 画像アップロードが有効かどうか。
                number_limits:
                  type: integer
                  description: アップロード可能な画像の最大数です。
                detail:
                  type: string
                  description: ビジョンモデルの画像詳細レベルです。
                transfer_methods:
                  type: array
                  items:
                    type: string
                  description: >-
                    画像アップロードで許可される転送方法です。`remote_url` はファイル URL 経由、`local_file`
                    はアップロード済みファイルを示します。
        system_parameters:
          type: object
          description: システムレベルのパラメータ制限です。
          properties:
            file_size_limit:
              type: integer
              description: 一般ファイルの最大サイズ（MB）です。
            image_file_size_limit:
              type: integer
              description: 最大画像ファイルサイズ（MB）。
            audio_file_size_limit:
              type: integer
              description: 最大音声ファイルサイズ（MB）。
            video_file_size_limit:
              type: integer
              description: 最大動画ファイルサイズ（MB）。
            workflow_file_upload_limit:
              type: integer
              description: ワークフロー実行ごとの最大ファイル数です。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**API Key が欠落または無効な場合、HTTP `401` とエラーコード
        `unauthorized` が返されます。

````